Major version X is newer than Y, the highest major version

major version 52 is newer than 51, the highest major version supported by this compiler.

Got this error again after a long time without seeing it.

The problem here is related to your JDK version. You can open your Terminal (Mac) and type “java -version” to check which version you have.

In my case I had 1.7… I’ve just downloaded a newer version from here http://www.oracle.com/technetwork/java/javase/downloads/index.html, updated the JDK folder reference in Unity (Unity > Preferences > External Tools > JDK > Browse) and the error was gone 🙂

 

My new JDK version:

java version “1.8.0_92”

Java(TM) SE Runtime Environment (build 1.8.0_92-b14)

Java HotSpot(TM) 64-Bit Server VM (build 25.92-b14, mixed mode)

* It is probably a good idea to restart your computer after installing a new JDK version.